Index: /trunk/src/bp-core/classes/class-bp-walker-nav-menu.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-walker-nav-menu.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-walker-nav-menu.php	(revision 10012)
@@ -50,6 +50,7 @@
 	 * @see Walker::walk()
 	 *
-	 * @param array $elements See {@link Walker::walk()}.
-	 * @param int $max_depth See {@link Walker::walk()}.
+	 * @param array $elements  See {@link Walker::walk()}.
+	 * @param int   $max_depth See {@link Walker::walk()}.
+	 *
 	 * @return string See {@link Walker::walk()}.
 	 */
@@ -79,5 +80,5 @@
 
 		/*
-		 * need to display in hierarchical order
+		 * Need to display in hierarchical order
 		 * separate elements into two buckets: top level and children elements
 		 * children_elements is two dimensional array, eg.
@@ -96,6 +97,6 @@
 
 		/*
-		 * when none of the elements is top level
-		 * assume the first one must be root of the sub elements
+		 * When none of the elements is top level
+		 * assume the first one must be root of the sub elements.
 		 */
 		if ( empty( $top_level_elements ) ) {
@@ -135,15 +136,15 @@
 	 * Display the current <li> that we are on.
 	 *
-	 * @see Walker::start_el() for complete description of parameters .
+	 * @see Walker::start_el() for complete description of parameters.
 	 *
 	 * @since BuddyPress (1.7.0)
 	 *
 	 * @param string $output Passed by reference. Used to append
-	 *        additional content.
-	 * @param object $item Menu item data object.
-	 * @param int $depth Depth of menu item. Used for padding. Optional,
-	 *        defaults to 0.
-	 * @param array $args Optional. See {@link Walker::start_el()}.
-	 * @param int $current_page Menu item ID. Optional.
+	 *                       additional content.
+	 * @param object $item   Menu item data object.
+	 * @param int    $depth  Depth of menu item. Used for padding. Optional,
+	 *                       defaults to 0.
+	 * @param array  $args   Optional. See {@link Walker::start_el()}.
+	 * @param int    $id     Menu item ID. Optional.
 	 */
 	public function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
Index: /trunk/src/bp-core/deprecated/1.5.php
===================================================================
--- /trunk/src/bp-core/deprecated/1.5.php	(revision 10011)
+++ /trunk/src/bp-core/deprecated/1.5.php	(revision 10012)
@@ -31,4 +31,6 @@
  * @deprecated BuddyPress (1.5)
  * @deprecated Use is_multisite()
+ *
+ * @return bool
  */
 function bp_core_is_multisite() {
@@ -45,5 +47,5 @@
  * @deprecated Use is_main_site()
  * @package BuddyPress
- * @param int $blog_id optional blog id to test (default current blog)
+ * @param int|string $blog_id optional blog id to test (default current blog)
  * @return bool True if not multisite or $blog_id is main site
  * @since BuddyPress (1.2.6)
@@ -54,13 +56,13 @@
 }
 
-/**
- * WPMU version of is_super_admin()
- *
- * @deprecated BuddyPress (1.5)
- * @deprecated Use is_super_admin()
- * @param int $user_id Optional. Defaults to logged-in user
- * @return bool True if is super admin
- */
 if ( !function_exists( 'is_site_admin' ) ) {
+	/**
+	 * WPMU version of is_super_admin()
+	 *
+	 * @deprecated BuddyPress (1.5)
+	 * @deprecated Use is_super_admin()
+	 * @param int|bool $user_id Optional. Defaults to logged-in user
+	 * @return bool True if is super admin
+	 */
 	function is_site_admin( $user_id = false ) {
 		_deprecated_function( __FUNCTION__, '1.5', 'is_super_admin()' );
@@ -78,4 +80,6 @@
  * @deprecated Use add_menu_page().
  * @since BuddyPress (1.1)
+ *
+ * @return string
  */
 function bp_core_add_admin_menu_page( $args = '' ) {
@@ -284,4 +288,6 @@
 	 * @deprecated Use wp_title()
 	 * @since BuddyPress (1.0)
+	 *
+	 * @return string
 	 */
 	function bp_get_page_title() {
@@ -379,4 +385,6 @@
  * BP 1.5 simplified notification functions a bit
  * @deprecated BuddyPress (1.5)
+ *
+ * @return mixed
  */
 function bp_core_delete_notifications_for_user_by_type( $user_id, $component_name, $component_action ) {
@@ -385,4 +393,7 @@
 }
 
+/**
+ * @return mixed
+ */
 function bp_core_delete_notifications_for_user_by_item_id( $user_id, $item_id, $component_name, $component_action, $secondary_item_id = false ) {
 	_deprecated_function( __FUNCTION__, '1.5', 'bp_core_delete_notifications_by_item_id()' );
@@ -500,5 +511,5 @@
 	 * @param string $oldvalue Previous value of get_option( 'page_on_front' )
 	 * @param string $oldvalue New value of get_option( 'page_on_front' )
-	 * @return string
+	 * @return bool|string
 	 * @since BuddyPress (1.2)
 	 */
